/*******************************************************************************
* File Name: SEG7.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SEG7_H) /* Pins SEG7_H */
#define CY_PINS_SEG7_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SEG7_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SEG7__PORT == 15 && ((SEG7__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SEG7_Write(uint8 value);
void    SEG7_SetDriveMode(uint8 mode);
uint8   SEG7_ReadDataReg(void);
uint8   SEG7_Read(void);
void    SEG7_SetInterruptMode(uint16 position, uint16 mode);
uint8   SEG7_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SEG7_SetDriveMode() function.
     *  @{
     */
        #define SEG7_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SEG7_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SEG7_DM_RES_UP          PIN_DM_RES_UP
        #define SEG7_DM_RES_DWN         PIN_DM_RES_DWN
        #define SEG7_DM_OD_LO           PIN_DM_OD_LO
        #define SEG7_DM_OD_HI           PIN_DM_OD_HI
        #define SEG7_DM_STRONG          PIN_DM_STRONG
        #define SEG7_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SEG7_MASK               SEG7__MASK
#define SEG7_SHIFT              SEG7__SHIFT
#define SEG7_WIDTH              8u

/* Interrupt constants */
#if defined(SEG7__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SEG7_SetInterruptMode() function.
     *  @{
     */
        #define SEG7_INTR_NONE      (uint16)(0x0000u)
        #define SEG7_INTR_RISING    (uint16)(0x0001u)
        #define SEG7_INTR_FALLING   (uint16)(0x0002u)
        #define SEG7_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SEG7_INTR_MASK      (0x01u) 
#endif /* (SEG7__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SEG7_PS                     (* (reg8 *) SEG7__PS)
/* Data Register */
#define SEG7_DR                     (* (reg8 *) SEG7__DR)
/* Port Number */
#define SEG7_PRT_NUM                (* (reg8 *) SEG7__PRT) 
/* Connect to Analog Globals */                                                  
#define SEG7_AG                     (* (reg8 *) SEG7__AG)                       
/* Analog MUX bux enable */
#define SEG7_AMUX                   (* (reg8 *) SEG7__AMUX) 
/* Bidirectional Enable */                                                        
#define SEG7_BIE                    (* (reg8 *) SEG7__BIE)
/* Bit-mask for Aliased Register Access */
#define SEG7_BIT_MASK               (* (reg8 *) SEG7__BIT_MASK)
/* Bypass Enable */
#define SEG7_BYP                    (* (reg8 *) SEG7__BYP)
/* Port wide control signals */                                                   
#define SEG7_CTL                    (* (reg8 *) SEG7__CTL)
/* Drive Modes */
#define SEG7_DM0                    (* (reg8 *) SEG7__DM0) 
#define SEG7_DM1                    (* (reg8 *) SEG7__DM1)
#define SEG7_DM2                    (* (reg8 *) SEG7__DM2) 
/* Input Buffer Disable Override */
#define SEG7_INP_DIS                (* (reg8 *) SEG7__INP_DIS)
/* LCD Common or Segment Drive */
#define SEG7_LCD_COM_SEG            (* (reg8 *) SEG7__LCD_COM_SEG)
/* Enable Segment LCD */
#define SEG7_LCD_EN                 (* (reg8 *) SEG7__LCD_EN)
/* Slew Rate Control */
#define SEG7_SLW                    (* (reg8 *) SEG7__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SEG7_PRTDSI__CAPS_SEL       (* (reg8 *) SEG7__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SEG7_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SEG7__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SEG7_PRTDSI__OE_SEL0        (* (reg8 *) SEG7__PRTDSI__OE_SEL0) 
#define SEG7_PRTDSI__OE_SEL1        (* (reg8 *) SEG7__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SEG7_PRTDSI__OUT_SEL0       (* (reg8 *) SEG7__PRTDSI__OUT_SEL0) 
#define SEG7_PRTDSI__OUT_SEL1       (* (reg8 *) SEG7__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SEG7_PRTDSI__SYNC_OUT       (* (reg8 *) SEG7__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SEG7__SIO_CFG)
    #define SEG7_SIO_HYST_EN        (* (reg8 *) SEG7__SIO_HYST_EN)
    #define SEG7_SIO_REG_HIFREQ     (* (reg8 *) SEG7__SIO_REG_HIFREQ)
    #define SEG7_SIO_CFG            (* (reg8 *) SEG7__SIO_CFG)
    #define SEG7_SIO_DIFF           (* (reg8 *) SEG7__SIO_DIFF)
#endif /* (SEG7__SIO_CFG) */

/* Interrupt Registers */
#if defined(SEG7__INTSTAT)
    #define SEG7_INTSTAT            (* (reg8 *) SEG7__INTSTAT)
    #define SEG7_SNAP               (* (reg8 *) SEG7__SNAP)
    
	#define SEG7_0_INTTYPE_REG 		(* (reg8 *) SEG7__0__INTTYPE)
	#define SEG7_1_INTTYPE_REG 		(* (reg8 *) SEG7__1__INTTYPE)
	#define SEG7_2_INTTYPE_REG 		(* (reg8 *) SEG7__2__INTTYPE)
	#define SEG7_3_INTTYPE_REG 		(* (reg8 *) SEG7__3__INTTYPE)
	#define SEG7_4_INTTYPE_REG 		(* (reg8 *) SEG7__4__INTTYPE)
	#define SEG7_5_INTTYPE_REG 		(* (reg8 *) SEG7__5__INTTYPE)
	#define SEG7_6_INTTYPE_REG 		(* (reg8 *) SEG7__6__INTTYPE)
	#define SEG7_7_INTTYPE_REG 		(* (reg8 *) SEG7__7__INTTYPE)
#endif /* (SEG7__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SEG7_H */


/* [] END OF FILE */
